## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# When bootstrapping, we do not include the “grpc” extra in the BR’s. That adds
# a BR on python3dist(grpcio), but this package is required by
# python3dist(grpcio-status), which creates a circular dependency with grpc.
%bcond_with bootstrap

# The python-xds-protos overlays additional proto wrappers on top of those
# provided by this package. This can be rather brittle in terms of file
# conflicts, so it has an exact-version dependency on this package.
#
# Therefore, when updating this package, please adjust the
# googleapis_common_protos_version macro in the python-xds-protos spec file and
# rebuild it with the new version of this package (ideally in a side tag as a
# multi-build update). While python-xds-protos automatically adapts itself to
# the files provided by python-googlapis-common-priotos to a large extent, it
# may rarely be necessary to adjust the %files list for python3-xds-protos as
# well.

%global         srcname     googleapis-common-protos
%global         forgeurl    https://github.com/googleapis/python-api-common-protos/
Version:        1.56.4
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Common protobufs used in Google APIs

License:        ASL 2.0
URL:            %forgeurl
Source0:        %{forgeurl}/archive/%{tag}.tar.gz#/python-api-common-protos-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}


%pyproject_extras_subpkg -n python3-%{srcname} grpc


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires -r %{?!with_bootstrap:-x grpc}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
# Upstream has no tests.
#
# Note that google and google.logging are namespace packages.
%pyproject_check_import %{?with_bootstrap:-e 'google.longrunning.*grpc*'}


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc CODE_OF_CONDUCT.md
%doc README.rst
%{python3_sitelib}/googleapis_common_protos-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.56.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 12 2022 Major Hayden <major@redhat.com> 1.56.4-1
- Update to 1.56.4 rhbz#2106455

* Tue Jun 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.56.3-1
- Update to 1.56.3 (close RHBZ#2099834)

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> 1.56.2-3
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1.56.2-2
- Bootstrap for Python 3.11

* Fri May 27 2022 Major Hayden <major@redhat.com> 1.56.2-1
- Update to 1.56.2

* Fri May 13 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.56.1-2
- Add spec file notes about updating python-xds-protos

* Fri May 13 2022 Major Hayden <major@mhtx.net> 1.56.1-1
- Update to 1.56.1

* Fri Mar 18 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.56.0-1
- Update to 1.56.0 (close RHBZ#2065457)

* Wed Feb 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.55.0-1
- Update to 1.55.0 (close RHBZ#2057586)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.54.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.54.0-1
- Update to 1.54.0 (close RHBZ#2030075)

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-15
- Express %%%%generate_buildrequires more concisely

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-14
- Use the new %%%%pyproject_check_import macro

* Tue Sep 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-13
- Let pyproject-rpm-macros handle the license file

* Tue Sep 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-12
- Reduce macro indirection in the spec file

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-11
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Wed Jul 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.53.0-10
- Move %%generate_buildrequires after %%prep to make the spec file easier
  to follow

* Thu Jul 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-4
- Drop version conditional; maintain the existing practice of cherry-picking
  updates to stable branches rather than merging

* Thu Jul 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-3
- Tweak how the description macro is written
- Drop obsolete python_provide macro
- Switch to pyproject-rpm-macros
- Add the metapackage for the “grpc” extra
- Add a check section that “smoke-tests” imports

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.53.0-2
- Rebuilt for Python 3.10

* Sun Mar 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.53.0-1
- Update to 1.53.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.52.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.52.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.52.0-1
- Update to 1.52.0

* Sun May 31 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.51.0-2
- Rebuild for Python 3.9

* Fri May 29 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.51.0-1
- Initial RPM release

